
  <filter name="cxf-domain" value="org.apache.cxf"/>

  <metrics name="bus">
    <metric name="Availability"
            indicator="true"/>
  </metrics>

  <config name="endpoint">
    <option name="bus.id"
            description="Bus ID"
            default=""/>
    <option name="service"
            description="Service QName"
            default=""/>
    <option name="port"
            description="Port Name"
            default=""/>
  </config>

  <config name="workqueue">
    <option name="bus.id"
            description="Bus ID"
            default=""/>
    <option name="name"
            description="Workqueue Name"
            default=""/>
  </config>

  <metrics name="counter">
    <metric name="Average Response Time"
            alias="AvgResponseTime"
            indicator="true"/>
    <metric name="Min Response Time"
            alias="MinResponseTime"
            indicator="true"/>
    <metric name="Max Response Time"
            alias="MaxResponseTime"
            indicator="true"/>
    <metric name="Invocation Count"
            alias="NumInvocations"
            indicator="true"
            collectionType="trendsup"/>
  </metrics>
